Package opennlp.tools.util.normalizer

# Enum Class EmojiCategory

java.lang.Object
java.lang.Enum<EmojiCategory>
opennlp.tools.util.normalizer.EmojiCategory

All Implemented Interfaces:
  `Serializable`, `Comparable<EmojiCategory>`, `Constable`

public enum EmojiCategory extends Enum<EmojiCategory>
The document-category hint of an annotated emoji, one constant per group header of the upstream Unicode `emoji-test.txt` (Emoji Keyboard/Display Test Data for UTS #51). The group level of that file is already a document-category-shaped taxonomy, so this enum mirrors it one to one rather than inventing a competing one; the constant a bundled record carries is provenance-tagged `UCD:emoji-test` in `emoji-annotations.txt`.

All upstream groups are represented, including those the bundled data does not populate yet, so growing the data never needs an enum change. See `EmojiEntityType` for the finer, subgroup-derived projection of the same upstream table.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACTIVITIES`
  Upstream group `Activities`: events, sports, games, and arts.
  `ANIMALS_AND_NATURE`
  Upstream group `Animals & Nature`: animals, plants, and nature symbols.
  `COMPONENT`
  Upstream group `Component`: skin tone and hair components, not free-standing symbols.
  `FLAGS`
  Upstream group `Flags`: flag emoji; assigned by the derived layer, not by bundled rows.
  `FOOD_AND_DRINK`
  Upstream group `Food & Drink`: food, drink, and dishware.
  `OBJECTS`
  Upstream group `Objects`: clothing, tools, instruments, and other objects.
  `PEOPLE_AND_BODY`
  Upstream group `People & Body`: people, body parts, hand gestures, roles.
  `SMILEYS_AND_EMOTION`
  Upstream group `Smileys & Emotion`: faces, hearts, and other emotion symbols.
  `SYMBOLS`
  Upstream group `Symbols`: signs, arrows, punctuation-like and abstract symbols.
  `TRAVEL_AND_PLACES`
  Upstream group `Travel & Places`: places, buildings, transport, sky and weather.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EmojiCategory`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static EmojiCategory[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SMILEYS_AND_EMOTION

    public static final EmojiCategory SMILEYS_AND_EMOTION
    Upstream group `Smileys & Emotion`: faces, hearts, and other emotion symbols.

  - ### PEOPLE_AND_BODY

    public static final EmojiCategory PEOPLE_AND_BODY
    Upstream group `People & Body`: people, body parts, hand gestures, roles.

  - ### COMPONENT

    public static final EmojiCategory COMPONENT
    Upstream group `Component`: skin tone and hair components, not free-standing symbols.

  - ### ANIMALS_AND_NATURE

    public static final EmojiCategory ANIMALS_AND_NATURE
    Upstream group `Animals & Nature`: animals, plants, and nature symbols.

  - ### FOOD_AND_DRINK

    public static final EmojiCategory FOOD_AND_DRINK
    Upstream group `Food & Drink`: food, drink, and dishware.

  - ### TRAVEL_AND_PLACES

    public static final EmojiCategory TRAVEL_AND_PLACES
    Upstream group `Travel & Places`: places, buildings, transport, sky and weather.

  - ### ACTIVITIES

    public static final EmojiCategory ACTIVITIES
    Upstream group `Activities`: events, sports, games, and arts.

  - ### OBJECTS

    public static final EmojiCategory OBJECTS
    Upstream group `Objects`: clothing, tools, instruments, and other objects.

  - ### SYMBOLS

    public static final EmojiCategory SYMBOLS
    Upstream group `Symbols`: signs, arrows, punctuation-like and abstract symbols.

  - ### FLAGS

    public static final EmojiCategory FLAGS
    Upstream group `Flags`: flag emoji; assigned by the derived layer, not by bundled rows.

- ## Method Details

  - ### values

    public static EmojiCategory[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static EmojiCategory valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null